import request from '@/scripts/httpRequest'

export const getGB28181Config = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/configShow",
    method: "get",
    params:query
  });
};


export const saveGB28181Config = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/configEdit",
    method: "post",
    data: query
  });
};

export const getGb28181AreaList = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/findAreaByParentId",
    method: "get",
    params: query
  });
};

export const getAllSubServer = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/getAllSubServer",
    method: "post",
    data: query
  });
};

export const newGb28181ID = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/newGbId",
    method: "get",
    params: query
  });
};

export const getLocalCameraTree = (query: any) => {
  return request({
    url: "/data/api-v/area/localmenu",
    method: "get",
    params: query
  });
};

export const getGB28181CameraTree = (query: any) => {
  return request({
    url: "/data/api-v/area/gb28181Tree",
    method: "get",
    params: query
  });
};

export const refreshGB28181Tree = () => {
  return request({
    url: "/data/api-v/area/gb28181RefreshTree",
    method: "post",
  });
};

export const saveGb28181CamTree = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/autoSaveGb28181CamTree",
    method: "post",
    data: query
  });
};

export const saveTree = (data) => {
  return request({
    url: "/saas/api-s/gb28181/saveGb28181CamTree",
    method: "post",
    data
  });
};

